Request Interactive Annotation

Send a request to the machine learning backend set up to be used for interactive preannotations to retrieve a predicted region based on annotator input. See [set up machine learning](https://labelstud.io/guide/ml.html#Get-interactive-preannotations) for more.

Authentication

AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Path parameters

idintegerRequired
A unique integer value identifying this ML backend.

Request

This endpoint expects an object.
taskintegerRequired
ID of task to annotate
contextany or nullOptional
Context for ML model

Response

Interactive annotation has succeeded.